import { KanoCodeChallenge } from '../kano-code.js';
import { BlocklyValueStepHelper } from './value.js';
import { IStepData } from '../../../../creator/creator.js';
import { BeaconWidget } from '../../../../challenge/widget/beacon.js';
import { IDisposable } from '@kano/common/index.js';
declare class DropdownBeaconWidget extends BeaconWidget {
    getPosition(): string;
    getDomNode(): import("../../../../../elements/kc-beacon.js").KCBeacon;
}
export declare class DropdownFieldStepHelper extends BlocklyValueStepHelper {
    beacon: DropdownBeaconWidget | null;
    listener?: (e: any) => void;
    tagHandler?: IDisposable;
    test(challenge: KanoCodeChallenge, step: IStepData): boolean;
    setupBeacon(challenge: KanoCodeChallenge): void;
    removeBeacon(challenge: KanoCodeChallenge): void;
    enter(challenge: KanoCodeChallenge, step: IStepData): void;
    leave(challenge: KanoCodeChallenge, step: IStepData): void;
}
export {};
